{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-31.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-kconfig-5.115.0-1.fc40",
        "store-results-to": "/tmp/tmpyp7ghoas/kf5-kconfig-5.115.0-1.fc40.tar.xz",
        "time-created": "2024-07-03 13:40:28",
        "time-finished": "2024-07-03 13:43:20",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpyp7ghoas/kf5-kconfig-5.115.0-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmpyp7ghoas/kf5-kconfig-5.115.0-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "f820ae2f8494944164aa4719222b6bf58969a9c4",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/src/gui/kstandardshortcut.cpp",
                    "line": 332,
                    "column": 6,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘KStandardShortcut::SaveOptions’ is deprecated: Since 5.39. No known users",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  332 |     {SaveOptions, \"SaveOptions\", QT_TRANSLATE_NOOP3(\"KStandardShortcut\", \"Save Options\", \"@action\"), 0, 0, QList<QKeySequence>(), false, Category::Settings},",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |      ^~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/src/gui/kstandardshortcut.cpp",
                    "line": 10,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/src/gui/kstandardshortcut.h",
                    "line": 126,
                    "column": 5,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  126 |     SaveOptions ///< @deprecated since 5.39",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |     ^~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  330|       {ShowStatusbar, \"ShowStatusbar\", QT_TRANSLATE_NOOP3(\"KStandardShortcut\", \"Show Statusbar\", \"@action\"), 0, 0, QList<QKeySequence>(), false, Category::View},",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  331|   #if KCONFIGGUI_BUILD_DEPRECATED_SINCE(5, 39)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  332|->     {SaveOptions, \"SaveOptions\", QT_TRANSLATE_NOOP3(\"KStandardShortcut\", \"Save Options\", \"@action\"), 0, 0, QList<QKeySequence>(), false, Category::Settings},",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  333|   #else",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  334|       // dummy entry",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "3a67380c9c702492d8472dc4f896e0ec194023f3",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'tempFile2'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 40,
                    "column": 33,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'tempFile2'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|       QTemporaryFile *tempFile4 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43|       QTemporaryFile *tempFile5 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   44|->     QVERIFY(tempFile1->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   45|       QVERIFY(tempFile2->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   46|       QVERIFY(tempFile3->open());",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "1644cff31923bfee5feda73d5156cad6374ea6c3",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'tempFile3'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 41,
                    "column": 33,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'tempFile3'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|       QTemporaryFile *tempFile4 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43|       QTemporaryFile *tempFile5 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   44|->     QVERIFY(tempFile1->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   45|       QVERIFY(tempFile2->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   46|       QVERIFY(tempFile3->open());",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "484c8c8396bed78f6619c491f3cbed2115d4d232",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'tempFile4'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 42,
                    "column": 33,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'tempFile4'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|       QTemporaryFile *tempFile4 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43|       QTemporaryFile *tempFile5 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   44|->     QVERIFY(tempFile1->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   45|       QVERIFY(tempFile2->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   46|       QVERIFY(tempFile3->open());",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "c24dcf7d05b48b3a9a994c5b5ff576e36994ff28",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "warning[cplusplus.NewDeleteLeaks]",
                    "message": "Potential leak of memory pointed to by 'tempFile5'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 43,
                    "column": 33,
                    "event": "note",
                    "message": "Memory is allocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 65,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kconfig-5.115.0-build/kconfig-5.115.0/autotests/kconfig_compiler/kconfigcompiler_test_signals.cpp",
                    "line": 44,
                    "column": 5,
                    "event": "note",
                    "message": "Potential leak of memory pointed to by 'tempFile5'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtTest/qtestcase.h",
                    "line": 66,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'QVERIFY'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   42|       QTemporaryFile *tempFile4 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   43|       QTemporaryFile *tempFile5 = new QTemporaryFile(this);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   44|->     QVERIFY(tempFile1->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   45|       QVERIFY(tempFile2->open());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   46|       QVERIFY(tempFile3->open());",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
